<?php
/**
 * @package Dorian
 */
?>

<?php // If the first post in the home page is a sticky post, let's mark it up differently 
	if( $wp_query->current_post == 0 && !is_paged() || is_sticky() && !is_paged() ): 
?>
<?php if( is_sticky() && !is_paged() ) : 
	//If it's a sticky post on the first page, add the class featured-post to the article tag 
?>
<article id="post-<?php the_ID(); ?>" <?php post_class( 'featured-post' ); ?>>
<?php else : ?>
<article id="post-<?php the_ID(); ?>" <?php post_class( 'primary-post' ); ?>>
<?php endif; ?>
	<div class="row">
		<div class="col-md-12">
		
			<?php if( has_post_thumbnail() ): ?>
			<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">
				<?php the_post_thumbnail( 'featured-photo' ); ?>
			</a>
			<?php endif; ?>
			<header class="entry-header">
				<?php the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>
				<?php dorian_print_sticky_post_author(); ?>
			</header><!-- .entry-header -->
			
			<?php
				
			//Check if user has chosen to display the excerpt or the full content using Customizer
			$dorian_display_sticky = get_theme_mod( 'dorian_sticky_post_display' ); 
			
			if( $dorian_display_sticky == 'full' ) :
			
			?>
			
			<div class="entry-content">
			
				<?php
				/* translators: %s: Name of current post */
				the_content( __( 'View Article', 'dorian' ) . ' <i class="fa fa-arrow-circle-o-right"></i><span class="sr-only"> ' . get_the_title() . '</span>' );
				?>
				
				<?php else :  ?>
				
				<div class="entry-excerpt">
				
				<?php the_excerpt(); 
				
				?>
				<div class="read-more clearfix">
					<?php echo '<a href="' . get_permalink() . '" title="' . __('View Article ', 'dorian') . get_the_title() . '" rel="bookmark">' . __('View Article', 'dorian') . '<i class="fa fa-arrow-circle-o-right"></i><span class="sr-only"> ' . get_the_title() . '</span></a>'; ?>
				</div>
				
				<?php	
					endif;
				?>
				
				<?php
					wp_link_pages( array(
						'before' => '<div class="page-links">' . __( 'Pages:', 'dorian' ),
						'after'  => '</div>',
					) );
				?>
				
			</div><!-- .entry-excerpt/or entry-content -->
	
			<footer class="entry-footer">
				<?php dorian_entry_footer(); ?>
			</footer><!-- .entry-footer -->
		
		</div><!-- .col-md-12 -->
	</div><!-- .row -->
</article>

<?php else: //If it's not the first post in the index or a sticky post, the markup is different ?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="row cols-equalizer">
		<div class="col-md-4 equal-col1">
		
			<div class="post-meta-info-container">
				<header class="entry-header">
					<?php the_title( sprintf( '<h3 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h3>' ); ?>

					<?php if ( 'post' == get_post_type() ) : ?>
					<div class="entry-meta">
						<?php dorian_posted_on(); ?>
					</div><!-- .entry-meta -->
					<?php endif; ?>
				</header><!-- .entry-header -->
				<footer class="entry-footer">
					<?php dorian_entry_footer(); ?>
					
				</footer><!-- .entry-footer -->
			</div><!-- .post-meta-info-container -->
		</div><!-- .col-md-4 -->
		
		<div class="col-md-8 equal-col2">
			<?php 
			/* If the post has a thumbnail image,
			  then the markup will be different from posts without any images */
			?>
			<?php if( has_post_thumbnail() ): ?>
			<div class="entry-excerpt entry-with-image">
				
				<div class="post-thumb-container">
					<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">
						<?php the_post_thumbnail( 'featured-photo' ); ?>
					</a>
				</div><!-- .post-thumb-container -->
			<?php else: ?>
			<div class="entry-excerpt">
			<?php endif; ?>
				<?php
					/* translators: %s: Name of current post */
					the_excerpt();
				?>
				
				<div class="read-more clearfix">
					<?php echo '<a href="' . get_permalink() . '" title="' . __('View Article ', 'dorian') . get_the_title() . '" rel="bookmark">' . __('View Article', 'dorian') . '<i class="fa fa-arrow-circle-o-right"></i><span class="sr-only"> ' . get_the_title() . '</span></a>'; ?>
				</div>
			
			</div><!-- .entry-excerpt -->
		</div><!-- .col-md-8 -->
	</div><!-- .row -->
</article><!-- #post-## -->
<?php endif; ?>